package com.zy.bms.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;
import java.io.Serializable;

/**
 * 指令表
 *
 * @author chenyi
 * @since 2021-06-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class Instructions implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 指令
     */
    private String code;

    /**
     * 描述
     */
    private String remark;

    /**
     * 设备类型
     */
    private String deviceType;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

}
