package com.zy.bms.controller;

import com.zy.bms.common.ServerResponse;
import com.zy.bms.entity.DeviceBase;
import com.zy.bms.service.IDeviceBaseService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 设备静态信息
 *
 * @author yangxiaokun
 * @since 2021-06-01
 */
@RestController
@RequestMapping("/bms/api/operate/device/base")
public class DeviceController extends BaseController {
    @Resource
    private IDeviceBaseService deviceBaseService;

    /**
     * 更新设备备注
     */
    @PostMapping("remark.do")
    public ServerResponse remark(DeviceBase deviceBase) {
        deviceBaseService.updateRemark(deviceBase);
        return ServerResponse.success();
    }

}
